--[[Roguelike 0.2
TO DO:
	continue to think about variable structure and program structure
	randomly place monsters
	move hero 
--]] 

local main = MainScreen.new()
local world = WorldMap.new()

stage:addChild(world)
stage:addChild(main)

local monsters = Monsters.new()
--place 3 #2 monsters
for i = 1, 3 do
	monsters:place(world.tWorldmap, 2)			 
end
--update the map with the monsters
for key, m in pairs(monsters.tList) do
	world:changeTile(constants.LAYER_MONSTERS, m.entry, m.x, m.y)
end

--respond to the buttons
main.north:addEventListener("click", function() print(0, -1) end)
main.south:addEventListener("click", function() print(0, 1) end)
main.west:addEventListener("click", function() print(-1, 0) end)
main.east:addEventListener("click", function() print(1, 0) end)
main.ranged:addEventListener("click", function() 
	main.ranged:updateVisualState(true)
	main.melee:updateVisualState(false)
	main.magic:updateVisualState(false)
end)
main.melee:addEventListener("click", function() 
	main.melee:updateVisualState(true)
	main.ranged:updateVisualState(false)
	main.magic:updateVisualState(false)
end)
main.magic:addEventListener("click", function() 
	main.magic:updateVisualState(true)
	main.melee:updateVisualState(false)
	main.ranged:updateVisualState(false)
end)

